### Function

# RB menu_update_link

#### Declaration [src]

    void
    rb_menu_update_link (
      GMenu* menu,
      const char* link_attr,
      GMenuModel* target
    )

#### Description [src]

Updates a submenu link to point to the specified target menu.

#### Parameters

`menu`

  Type: `GMenu`

  Menu to update.

  The data is owned by the caller of the function.

`link_attr`

  Type: `const char*`

  Attribute indicating the menu link to update.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`target`

  Type: `GMenuModel`

  New menu link target.

  The data is owned by the caller of the function.